WyrdOS
Open App

Rolodex

API endpoints for rolodex

List rolodex directory entries

GET /api/v1/rolodex

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo
searchquerystringNo
countryquerystringNo
typeIdquerystringNo
categoryIdquerystringNo
containerIdquerystringNo
pillarIdquerystringNo
limitqueryintegerNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/rolodex?organisationId=<organisationId>&search=<search>&country=<country>&typeId=<typeId>&categoryId=<categoryId>&containerId=<containerId>&pillarId=<pillarId>&limit=<limit>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "_id": "item_abc123",
      "name": "Launch readiness",
      "country": "United Kingdom",
      "address": "Launch readiness",
      "website": "https://example.com",
      "phone": "+44 20 0000 0000",
      "description": "Track onboarding work for the beta launch.",
      "userId": "item_abc123",
      "organisationId": "org_abc123",
      "createdAt": 1782828000000,
      "updatedAt": 1782828000000
    }
  ]
}

Response body type

{ data: Rolodex[] }


Create rolodex directory entry

POST /api/v1/rolodex

Example request

curl -X POST \
"https://<your-wyrdos-api-host>/api/v1/rolodex" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","country":"United Kingdom","address":"Launch readiness","website":"https://example.com","phone":"+44 20 0000 0000","description":"Track onboarding work for the beta launch.","organisationId":"org_abc123","typeIds":["type_strategy"],"categoryIds":["category_docs"],"containerIds":["container_product"],"pillarIds":["pillar_product_clarity"]}'

Response body type


Get rolodex directory entry

GET /api/v1/rolodex/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/rolodex/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "_id": "item_abc123",
    "name": "Launch readiness",
    "country": "United Kingdom",
    "address": "Launch readiness",
    "website": "https://example.com",
    "phone": "+44 20 0000 0000",
    "description": "Track onboarding work for the beta launch.",
    "userId": "item_abc123",
    "organisationId": "org_abc123",
    "createdAt": 1782828000000,
    "updatedAt": 1782828000000
  }
}

Response body type

{ data: Rolodex }


Update rolodex directory entry

PATCH /api/v1/rolodex/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X PATCH \
"https://<your-wyrdos-api-host>/api/v1/rolodex/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","country":"United Kingdom","address":"Launch readiness","website":"https://example.com","phone":"+44 20 0000 0000","description":"Track onboarding work for the beta launch."}'

Response body type


Delete rolodex directory entry

DELETE /api/v1/rolodex/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X DELETE \
"https://<your-wyrdos-api-host>/api/v1/rolodex/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type